db4o |

# Configuration.ReadOnly Method

turns readOnly mode on and off.

void ReadOnly(
bool flag
);

#### Parameters

flag

      true

  for configuring readOnly mode for subsequent calls to Db4o.openFile() .

#### Remarks

turns readOnly mode on and off.
This method configures the mode in which subsequent calls to Db4o.openFile() will open files.
Readonly mode allows to open an unlimited number of reading processes on one database file. It is also convenient for deploying db4o database files on CD-ROM.
If mixed access using many readOnly and one readWrite session is used, there is no guarantee that the data in the readOnly sessions will be kept up-to-date.

#### See Also

Configuration Interface | com.db4o.config Namespace